For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
      • GETGet all task types
      • GETGet all tasks
      • POSTCreate a task
      • GETGet a task
      • DELDelete a task
      • PATCHUpdate a task
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Sales CRMTasks

Get all task types

GET
https://api.brevo.com/v3/crm/tasktypes
GET
/v3/crm/tasktypes
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.tasks.getAllTaskTypes();
8}
9main();
1[
2 {
3 "id": "61a88a2eb7a574180261234",
4 "title": "Email"
5 }
6]
Retrieve the list of all available task types, such as Email, Call, Meeting, Todo, Lunch, Deadline, and LinkedIn. If no task types exist yet, the default set is automatically created and returned. Use the task type ID when creating or updating tasks.
Was this page helpful?
Previous

Get all tasks

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Response

Returns all the Task types
idstring
Id of task type
titlestring
Title of task type

Errors

400
Bad Request Error